- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinAbsFltEq Class Reference

Equality to an absolute tolerance. More...

`#include <CoinFloatEqual.hpp>`

List of all members.

## Public Member Functions
bool | operator() (const double f1, const double f2) const
| Compare function.
Constructors and destructors
| CoinAbsFltEq ()
| Default constructor.
| CoinAbsFltEq (const double epsilon)
| Alternate constructor with epsilon as a parameter.
virtual | ~CoinAbsFltEq ()
| Destructor.
| CoinAbsFltEq (const CoinAbsFltEq &src)
| Copy constructor.
CoinAbsFltEq & | operator= (const CoinAbsFltEq &rhs)
| Assignment.
## Private Attributes
Private member data
double | epsilon_
| Equality tolerance.

## Detailed Description

Equality to an absolute tolerance.

Operands are considered equal if their difference is within an epsilon ; the test does not consider the relative magnitude of the operands.

Definition at line 45 of file CoinFloatEqual.hpp.

## Constructor & Destructor Documentation

CoinAbsFltEq::CoinAbsFltEq | ( |  | ) | `[inline]`

Default constructor.

Definition at line 62 of file CoinFloatEqual.hpp.

CoinAbsFltEq::CoinAbsFltEq | ( | const double | epsilon | ) | `[inline]`

Alternate constructor with epsilon as a parameter.

Definition at line 66 of file CoinFloatEqual.hpp.

virtual CoinAbsFltEq::~CoinAbsFltEq | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 70 of file CoinFloatEqual.hpp.

CoinAbsFltEq::CoinAbsFltEq | ( | const CoinAbsFltEq & | src | ) | `[inline]`

Copy constructor.

Definition at line 74 of file CoinFloatEqual.hpp.

## Member Function Documentation

bool CoinAbsFltEq::operator() | ( | const double | f1,
|  | const double | f2 |
| ) |  |  | const`[inline]`

Compare function.

Definition at line 51 of file CoinFloatEqual.hpp.

References CoinIsnan(), and epsilon_.

CoinAbsFltEq& CoinAbsFltEq::operator= | ( | const CoinAbsFltEq & | rhs | ) | `[inline]`

Assignment.

Definition at line 78 of file CoinFloatEqual.hpp.

References epsilon_.

## Member Data Documentation

double CoinAbsFltEq::epsilon_`[private]`

Equality tolerance.

Definition at line 92 of file CoinFloatEqual.hpp.

Referenced by operator()(), and operator=().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.2/CoinUtils/src/CoinFloatEqual.hpp